org.richfaces.renderkit.html

## Class NullConverterScript

- java.lang.Object
- - org.richfaces.javascript.ScriptStringBase
  - - org.richfaces.javascript.JSLiteral
    - - org.richfaces.renderkit.html.NullConverterScript

- All Implemented Interfaces:
    Serializable, org.richfaces.javascript.ScriptString, org.richfaces.javascript.ScriptWithDependencies, org.richfaces.resource.ResourceLibrary

      public class NullConverterScript
      extends org.richfaces.javascript.JSLiteral
      implements org.richfaces.javascript.ScriptWithDependencies

  This class represents "dummy" converter call ( just refference to "value" variable )
  Author:
    asmirnov
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.javascript.JSLiteral

      `EMPTY_HASH, EMPTY_LIST`

    - ### Fields inherited from class org.richfaces.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullConverterScript()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Iterable<org.richfaces.resource.ResourceKey>` | `getResources()`

    - ### Methods inherited from class org.richfaces.javascript.JSLiteral

      `appendScript, getLiteral`

    - ### Methods inherited from class org.richfaces.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### NullConverterScript

          public NullConverterScript()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getResources

          public Iterable<org.richfaces.resource.ResourceKey> getResources()

      Specified by:
        `getResources` in interface `org.richfaces.resource.ResourceLibrary`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.